Attribute VB_Name = "modUX"
Option Explicit

Function getUXSource(source As String) As String
    Select Case LCase(source)
        Case LCase("DiscTitle")
            getUXSource = "DVDTitle"
        Case LCase("ShortDriveCSize")
            getUXSource = "C_TotalMB"
        Case LCase("DriveCSize")
            getUXSource = "C_Total"
        Case LCase("ShortDriveESize")
            getUXSource = "E_TotalMB"
        Case LCase("DriveESize")
            getUXSource = "E_Total"
        Case LCase("ShortDriveFSize")
            getUXSource = "F_TotalMB"
        Case LCase("DriveFSize")
            getUXSource = "F_Total"
        Case LCase("ShortDriveGSize")
            getUXSource = "G_TotalMB"
        Case LCase("DriveGSize")
            getUXSource = "G_Total"
        Case LCase("ShortDriveCFree")
            getUXSource = "C_FreeMB"
        Case LCase("DriveCFree")
            getUXSource = "C_Free"
        Case LCase("ShortDriveEFree")
            getUXSource = "E_FreeMB"
        Case LCase("DriveEFree")
            getUXSource = "E_Free"
        Case LCase("ShortDriveFFree")
            getUXSource = "F_FreeMB"
        Case LCase("DriveFFree")
            getUXSource = "F_Free"
        Case LCase("ShortDriveGFree")
            getUXSource = "G_FreeMB"
        Case LCase("DriveGFree")
            getUXSource = "G_Free"
        Case LCase("IP")
            getUXSource = "IP"
        Case LCase("Time")
            getUXSource = "Time"
        Case LCase("Date")
            getUXSource = "Date"
        Case LCase("DateTime")
            getUXSource = "DateTime"
        Case LCase("MXMVersion")
            getUXSource = "AppVersion"
        Case LCase("MAC")
            getUXSource = "MAC"
        Case LCase("XboxVersion")
            getUXSource = "Version"
        Case LCase("SerialNumber")
            getUXSource = "SerialNum"
        Case LCase("VideoStandard")
            getUXSource = "VideoMode"
        Case LCase("TempSys")
            getUXSource = "MBTemp"
        Case LCase("TempCPU")
            getUXSource = "CPUTemp"
        Case LCase("TempSysF")
            getUXSource = "MBTempF"
        Case LCase("TempSysC")
            getUXSource = "MBTempC"
        Case LCase("TempCPUF")
            getUXSource = "CPUTempF"
        Case LCase("TempCPUC")
            getUXSource = "CPUTempC"
        Case LCase("TrayState")
            getUXSource = "Tray"
        Case LCase("DVDType")
            getUXSource = "DVDType"
        Case LCase("Name")
            getUXSource = "NickName"
        Case LCase("CurrentSong")
            getUXSource = "SongName"
        Case LCase("CurrentSoundtrack")
            getUXSource = "SoundTrack"
        Case LCase("NumFTPUsers")
            getUXSource = "NumClient"
        Case LCase("DefaultGateway")
            getUXSource = "Gateway"
        Case LCase("SubnetMask")
            getUXSource = "Subnet"
        Case LCase("DNS1")
            getUXSource = "DNS1"
        Case LCase("DNS2")
            getUXSource = "DNS2"
        Case LCase("FlashID")
            getUXSource = "ChipID"
        Case LCase("NewsFeed")
            getUXSource = "Newsfeed"
        Case LCase("LaunchMode")
            getUXSource = "LaunchMode"
        Case Else
            getUXSource = source
    End Select
End Function
